=== debian/changelog ===
iortcw (1.51.c+dfsg1-7) unstable; urgency=medium

  * apparmor.d: Update from ioquake3
    - Allow reading /usr/share/pipewire
    - Allow SDL audio backends to name their background threads
  * Silence warnings from man(1) by using italic instead of underlines

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 11:00:24 +0000

iortcw (1.51.c+dfsg1-6) unstable; urgency=medium

  * d/rtcw-server.install: Don't explicitly install rtcw-server@.service.
    dh_installsystemd does this for us automatically, and letting it
    take responsibility for the instanced unit should make it possible
    to move the systemd units to /usr/lib/systemd by binNMUing with a
    newer debhelper.

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Oct 2023 10:06:52 +0100

iortcw (1.51.c+dfsg1-5) unstable; urgency=medium

  * Use launcher from game-data-packager-runtime instead of a shell script.
    This provides a better UX if data files are missing.
    For the dedicated server, we can't guarantee that
    game-data-packager-runtime is installed, and we don't want an
    explicit dependency on it because that would pull in a whole X11
    stack, so only use it opportunistically, falling back to a shell
    script implementation if necessary.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 16:35:22 +0100

iortcw (1.51.c+dfsg1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper compat level from 12 to 13
  * Update renamed lintian tag names in lintian overrides
  * d/upstream/metadata: Add
  * Remove version constraints unnecessary since buster (oldstable)

  [ Simon McVittie ]
  * Set more upstream metadata fields
  * Update Standards-Version to 4.6.2 (no changes required)
  * Remove Lintian overrides that are no longer needed
  * d/control: Replace transitional libfreetype6-dev with libfreetype-dev
  * Drop unnecessary lsb-base dependency.
    In bookworm this is provided by the Essential sysvinit-utils package.
    In older releases, it was unnecessary when booting with systemd, and
    pulled in as a dependency by sysvinit-based init systems that used our
    LSB init script.
  * d/apparmor.d/usr.lib.rtcw: Resync with ioquake3

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jan 2023 17:57:49 +0000

iortcw (1.51.c+dfsg1-3) unstable; urgency=medium

  * Update AppArmor profiles to use abstractions from 2.13.x.
    A suitable version is available in Debian 10 and Ubuntu 19.10.
  * Explicitly link game, cgame, ui modules to libm.
    This is the equivalent of #966150, but for RTCW.
  * Link with -Wl,-z,defs to enforce that all modules are self-contained
  * Mark patch for #966150 as applied upstream
  * Standards-Version: 4.5.1 (no changes required)
  * d/gbp.conf: Use debian/latest branch for packaging
  * d/copyright: Remove a duplicate line
  * Add Lintian overrides for overzealous breakout-link tag (#971707)
  * Remove unused Lintian override

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 20:56:20 +0000

iortcw (1.51.c+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Set LC_ALL=C.UTF-8 and TZ=UTC.
    This affects the build date derived from SOURCE_DATE_EPOCH,
    which should be the same for all builds to improve reproducibility.
  * d/rules: Use dh_auto_build for the build step.
    In particular this results in setting the right CC, CXX and PKG_CONFIG
    when cross-compiling.
  * Explicitly set COMPILE_ARCH, COMPILE_PLATFORM as well as ARCH and
    PLATFORM.
    Otherwise the build system will think we're cross-compiling on any
    non-special-cased architecture where uname -m doesn't match the CPU
    part of the GNU tuple (or when reprotest builds under linux32 on
    amd64), which in recent versions causes the upstream build system
    to reject pkg-config.
  * Explicitly set PKG_CONFIG, even when not cross-compiling
  * d/rules: Remove migration path from rtcw-dbg, which was not in
    stretch or buster
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jul 2019 20:17:09 +0100

iortcw (1.51.c+dfsg1-1) experimental; urgency=medium

  * New upstream release
    - Increase minimum build-dependencies to match the versions bundled
      by upstream (except libogg, #894158)
    - Refresh patches
    - d/copyright: Update
  * AppArmor: Allow Mesa 18 shader cache
  * AppArmor: Mark the parts that can be simplified with a dependency
    on apparmor (>= 2.13). Don't depend on that version yet for easier
    backporting.
  * AppArmor: Rename AppArmor profiles to decouple the name from the
    attachment, as per
    https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
  * d/p/All-Rend2-Stub-out-USE_BOX_CUBEMAP_PARALLAX-on-GLSL-1.30.patch:
    Apply post-release patch from upstream to complete fix for the
    equivalent of #923226
  * d/rules: Remove get-orig-source target
  * d/watch: Set repacksuffix to +dfsg1
  * Declare compliance with Debian Policy 4.3.0
  * Move to debhelper-compat (= 12)
    - Add ${misc:Pre-Depends} to all packages (only strictly necessary
      for rtcw-server)
  * d/copyright: Mention that this package is not part of Debian
    (Policy §12.5)
  * d/rtcw-common.lintian-overrides: Justify why
    /usr/lib/rtcw/README.rtcw-data can't be in /usr/share/doc
  * Symlink README.rtcw-data into rtcw, rtcw-server packages' doc
    directories

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2019 17:09:15 +0000
