=== debian/changelog ===
iortcw (1.51.c+dfsg1-8) unstable; urgency=medium

  * d/rules: Pass dpkg's recommended CFLAGS, etc. to native compiler
    if used. In practice this source package doesn't (yet?) so this is
    only for completeness.
  * Mark packaging to be normalized by `debputy reformat`
  * d/copyright: Don't quote the FSF's former postal address here
  * Use dpkg build API v1
  * Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/watch: Convert to uscan format v5
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Disable unnecessary build jobs.
    There are no Architecture: all binary packages here, so the "any"
    build is redundant with the default build, and the "all" build
    does nothing.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 11:00:55 +0000
