=== debian/control ===
Source: iortcw
X-Style: black
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 dpkg-build-api (= 1),
 libcurl4-gnutls-dev,
 libfreetype-dev,
 libjpeg-dev,
 libogg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev,
 libvorbis-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/iortcw.git
Vcs-Browser: https://salsa.debian.org/games-team/iortcw
Homepage: https://github.com/iortcw/iortcw/

Package: rtcw
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= 75~),
 rtcw-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x11-utils | zenity | kdialog,
Description: game engine for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains the iortcw game engines for the single-player campaign
 and multiplayer, based on ioquake3 and the GPL source releases of RTCW.
 .
 For security reasons, this version has been modified to prevent native
 executable code from being unpacked from game packages (PK3 files).
 Some game modifications will not work as a result of this change.
 .
 Return to Castle Wolfenstein requires non-distributable game data files
 in the rtcw-data package, prepared using the game-data-packager tool.

Package: rtcw-common
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 rtcw-data (>= 1.42b+40) | game-data-packager,
 ${misc:Depends},
 ${shlibs:Depends},
Description: common files for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains files shared by the game and the dedicated server.
 It requires non-distributable game data files from the rtcw-data package,
 which can be prepared using the game-data-packager tool.

Package: rtcw-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 rtcw-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: standalone server for Return to Castle Wolfenstein
 Return to Castle Wolfenstein is a military- and occult-themed first-person
 shooter game in a Second World War setting, originally released in 2001.
 It is a sequel to Wolfenstein 3D, which is also available for Debian
 (in the wolf4sdl package).
 .
 This package contains the iortcw dedicated server for multiplayer,
 based on ioquake3 and the GPL source releases of RTCW. It also contains
 the init script and systemd unit to start the RTCW server, with support
 for multiple server instances under systemd.
 .
 Return to Castle Wolfenstein requires non-distributable game data files
 from the rtcw-data package, prepared using the game-data-packager tool.
