=== debian/watch ===
Version: 5

Source: https://github.com/iortcw/iortcw/tags
Matching-Pattern: .*/(\d\S*)\.tar\.gz
Dversion-Mangle: s/(\+[0-9]{8})?\+dfsg[0-9]+$//
Filename-Mangle: s/.+\/(\d\S*)\.tar\.gz/iortcw-$1\.tar\.gz/
Repack-Suffix: +dfsg1
Uversion-Mangle: s/^(\d+\.\d)([a-z])$/${1}0${2}/;s/^([0-9.]+)([a-z])$/${1}.${2}/
